Page MenuHomePhabricator

Flow: Special:WhatLinksHere for template used on Flow board gets Fatal exception of type Flow\Exception\InvalidInputException
Closed, ResolvedPublic

Description

As reported in https://www.mediawiki.org/wiki/Topic:Rylnpvcpshj9n30s#flow-post-rylnvqsqmjnng558

Special:WhatLinksHere for a template used on a Flow board is getting

Could not find the requested workflow.

Return to MediaWiki.
[c106cf7f] 2014-07-18 18:24:19: Fatal exception of type Flow\Exception\InvalidInputException

this is the same fatal as bug 68224. I'm having trouble finding either on fluorine.

You can trigger it for a common template if you load enough links, e.g.https://www.mediawiki.org/w/index.php?title=Special:WhatLinksHere/Template:Bug&limit=500 also gets the exception.


Version: master
Severity: critical
URL: https://www.mediawiki.org/wiki/Special:WhatLinksHere/Template:Test123

Details

Reference
bz68225

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:28 AM
bzimport set Reference to bz68225.
bzimport added a subscriber: Unknown Object (MLST).

Change 147553 had a related patch set uploaded by EBernhardson:
Restore previous behavior of Reference::makeTitle

https://gerrit.wikimedia.org/r/147553

Change 147553 merged by jenkins-bot:
Restore previous behavior of Reference::makeTitle

https://gerrit.wikimedia.org/r/147553

Change 147582 had a related patch set uploaded by EBernhardson:
Preload workflows for url generator

https://gerrit.wikimedia.org/r/147582

Change 148110 had a related patch set uploaded by EBernhardson:
Restore previous behavior of Reference::makeTitle

https://gerrit.wikimedia.org/r/148110

Change 148110 merged by jenkins-bot:
Restore previous behavior of Reference::makeTitle

https://gerrit.wikimedia.org/r/148110

Change 147582 merged by jenkins-bot:
Preload workflows for url generator

https://gerrit.wikimedia.org/r/147582

Change 148237 had a related patch set uploaded by EBernhardson:
Preload workflows for url generator

https://gerrit.wikimedia.org/r/148237

Change 148237 merged by jenkins-bot:
Preload workflows for url generator

https://gerrit.wikimedia.org/r/148237

All patches mentioned in this report were merged - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

(In reply to Andre Klapper from comment #9)

All patches mentioned in this report were merged - is there more work left
to do here (if yes: please reset the bug report status to NEW or ASSIGNED),
or can you close this ticket as RESOLVED FIXED?

No reply to last comment - assuming this bug is FIXED.
If that is not the case: Please reopen and elaborate what is left to do here to get this report fixed.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:34 AM